Permalink
Browse files

Allow binary installs of PyPy on Xenial

  • Loading branch information...
BanzaiMan committed Jan 9, 2018
1 parent 66412f5 commit 4a14d2f62aeafdb10a81f53f71e854453f459960
@@ -7,6 +7,8 @@ case "$(pypy_architecture 2>/dev/null || true)" in
"linux64" )
if require_distro "Ubuntu 14.04" 1>/dev/null 2>&1; then
install_package "pypy2-v5.10.0-linux64" "https://bitbucket.org/pypy/pypy/downloads/pypy2-v5.10.0-linux64.tar.bz2#da85af9240220179493ad66c857934dc7ea91aef8f168cd293a2d99af8346ee2" "pypy" verify_py27 ensurepip
elif require_distro "Ubuntu 16.04" 1>/dev/null 2>&1; then
install_package "pypy2-v5.10.0-linux64" "https://bitbucket.org/pypy/pypy/downloads/pypy2-v5.10.0-linux64.tar.bz2#da85af9240220179493ad66c857934dc7ea91aef8f168cd293a2d99af8346ee2" "pypy" verify_py27 ensurepip
else
{ echo
colorize 1 "ERROR"
@@ -7,6 +7,8 @@ case "$(pypy_architecture 2>/dev/null || true)" in
"linux64" )
if require_distro "Ubuntu 14.04" 1>/dev/null 2>&1; then
install_package "pypy3-v5.10.0-linux64" "https://bitbucket.org/pypy/pypy/downloads/pypy3-v5.10.0-linux64.tar.bz2#aa4fb52fb858d973dd838dcf8d74f30705e5afdf1150acb8e056eb99353dfe77" "pypy" verify_py27 ensurepip
elif require_distro "Ubuntu 16.04" 1>/dev/null 2>&1; then
install_package "pypy3-v5.10.0-linux64" "https://bitbucket.org/pypy/pypy/downloads/pypy3-v5.10.0-linux64.tar.bz2#aa4fb52fb858d973dd838dcf8d74f30705e5afdf1150acb8e056eb99353dfe77" "pypy" verify_py27 ensurepip
else
{ echo
colorize 1 "ERROR"

0 comments on commit 4a14d2f

Please sign in to comment.